Functions
Configuration functions
Peripheral Driver » LL Driver » AON_WDT » Functions

## Functions
__STATIC_INLINE void | ll_aon_wdt_enable (void)
| Enable AON watchdog counter and interrupt event. More...
__STATIC_INLINE void | ll_aon_wdt_disable (void)
| Disable AON watchdog counter and interrupt event. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_is_enabled (void)
| Check if the AON_WDT peripheral is enabled or disabled. More...
__STATIC_INLINE void | ll_aon_wdt_set_reload_counter (uint32_t counter)
| Specify the AON WDT down-counter reload value. More...
__STATIC_INLINE void | ll_aon_wdt_reload_counter (void)
| Reloads AON WDT counter. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_get_counter (void)
| Read the AON WDT counter current value. More...
__STATIC_INLINE void | ll_aon_wdt_set_alarm_counter (uint32_t counter)
| Specify the AON_WDT down-counter alarm value. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_get_alarm_counter (void)
| Get the AON_WDT down-counter alarm value. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_wdt_disable()

__STATIC_INLINE void ll_aon_wdt_disable | ( | void |  | ) |

Disable AON watchdog counter and interrupt event.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | EXT_WKUP_CTL | WDT_EN | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 104 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_enable()

__STATIC_INLINE void ll_aon_wdt_enable | ( | void |  | ) |

Enable AON watchdog counter and interrupt event.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | EXT_WKUP_CTL | WDT_EN | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 86 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_get_alarm_counter()

__STATIC_INLINE uint32_t ll_aon_wdt_get_alarm_counter | ( | void |  | ) |

Get the AON_WDT down-counter alarm value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | EXT_WKUP_CTL | WDT_ALARM | +———————-+———————————–+ \endrst

Return values

  Value | between Min_Data=0 and Max_Data=0x1F

Definition at line 221 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_get_counter()

__STATIC_INLINE uint32_t ll_aon_wdt_get_counter | ( | void |  | ) |

Read the AON WDT counter current value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AON_PAD_CTL1 | AON_WDT_TIMER | +———————-+———————————–+ \endrst TIMER_VAL | TIMER_VAL_READ

Return values

  Value | for current counter which should ranging between 0 ~ 0xFFFF_FFFF

Definition at line 181 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_is_enabled()

__STATIC_INLINE uint32_t ll_aon_wdt_is_enabled | ( | void |  | ) |

Check if the AON_WDT peripheral is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | EXT_WKUP_CTL | WDT_EN | +———————-+———————————–+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 122 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_reload_counter()

__STATIC_INLINE void ll_aon_wdt_reload_counter | ( | void |  | ) |

Reloads AON WDT counter.

Note
  The value in TIMER_VALUE register will be reloaded into AON WDT down-counter after enable this bit, so ll_aon_wdt_set_reload_counter() should be called before every reload.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | EXT_WKUP_CTL | WDT_RELOAD | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 162 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_set_alarm_counter()

__STATIC_INLINE void ll_aon_wdt_set_alarm_counter | ( | uint32_t | counter | ) |

Specify the AON_WDT down-counter alarm value.

Note
  AON watchdog will generate an interrupt when it counts down to the alarm value to alram that it is almost expired.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | EXT_WKUP_CTL | WDT_ALARM | +———————-+———————————–+ \endrst

Parameters

  counter | Value between Min_Data=0 and Max_Data=0x1F

Return values

  None |

Definition at line 203 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_set_reload_counter()

__STATIC_INLINE void ll_aon_wdt_set_reload_counter | ( | uint32_t | counter | ) |

Specify the AON WDT down-counter reload value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TIMER_VALUE | TIMER_VALUE | +———————-+———————————–+ \endrst

Parameters

  counter | Value for reload down-counter which should ranging between 0 ~ 0xFFFF_FFFF

Return values

  None |

Definition at line 141 of file gr55xx_ll_aon_wdt.h.